CREATE procedure [C6StagingPeriodico].[RP_ST_ChiaviMonitoraggio_pre_selective]
as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_ChiaviMonitoraggio_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.[RP_ChiaviMonitoraggio] 
INSERT INTO [C6StagingPeriodico].[RP_ChiaviMonitoraggio]
           (
             [IdMonitoraggio],
	         [ChiaveProgetto],
			 [DtCreazione],
			 [stato],
			 [dtFineMonitoraggio],
			 [flagVisualizzaStor]
            )
   	select *
	from [CONSUNI_PERIODICO].ConsulenzaUnica.dbo.ChiaviMonitoraggio 
    --filtro per non prendere le righe duplicate
    WHERE stato = 1
    -- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_ChiaviMonitoraggio_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_ChiaviMonitoraggio_pre_selective'
		)
END